# StdSelect_TypeOfEdge.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | StdSelect_TypeOfEdge { StdSelect_AnyEdge, StdSelect_Line, StdSelect_Circle }
| Provides values for different types of faces. These values are used to filter faces in frameworks inheriting StdSelect_FaceFilter. . More...

## Enumeration Type Documentation

enum StdSelect_TypeOfEdge

Enumeration values:

  StdSelect_AnyEdge |
  StdSelect_Line |
  StdSelect_Circle |